<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXCake类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_x_h_x_cake.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#properties">属性</a> &#124;
<a href="interface_x_h_x_cake-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">XHXCake类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a>&gt;</code></p>
<div class="dynheader">
类 XHXCake 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_x_h_x_cake.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:af600285384d7f1af64d80dfd0f0b87cc"><td class="memItemLeft" align="right" valign="top">NSInteger&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#af600285384d7f1af64d80dfd0f0b87cc">value</a></td></tr>
<tr class="separator:af600285384d7f1af64d80dfd0f0b87cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2f75de3764eff1785423eebc9b9b8ec"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#ad2f75de3764eff1785423eebc9b9b8ec">progress</a></td></tr>
<tr class="separator:ad2f75de3764eff1785423eebc9b9b8ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1939721fae44bd2341293649ed403c80"><td class="memItemLeft" align="right" valign="top">NSString *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#a1939721fae44bd2341293649ed403c80">name</a></td></tr>
<tr class="separator:a1939721fae44bd2341293649ed403c80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22866ac7963ac47d1bab295e41e3a150"><td class="memItemLeft" align="right" valign="top">UIColor *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#a22866ac7963ac47d1bab295e41e3a150">tintColor</a></td></tr>
<tr class="separator:a22866ac7963ac47d1bab295e41e3a150"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab22b8507af70ef9364a7a09bf6c9604e"><td class="memItemLeft" align="right" valign="top">CGFloat&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#ab22b8507af70ef9364a7a09bf6c9604e">tintWidth</a></td></tr>
<tr class="separator:ab22b8507af70ef9364a7a09bf6c9604e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69d819df27623ed9a12955d3af1fc37f"><td class="memItemLeft" align="right" valign="top">UIColor *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#a69d819df27623ed9a12955d3af1fc37f">startColor</a></td></tr>
<tr class="separator:a69d819df27623ed9a12955d3af1fc37f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add9317236f0d2203308343d8071c6462"><td class="memItemLeft" align="right" valign="top">UIColor *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#add9317236f0d2203308343d8071c6462">endColor</a></td></tr>
<tr class="separator:add9317236f0d2203308343d8071c6462"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad664922b59f7b2a939be31ce607f4fe7"><td class="memItemLeft" align="right" valign="top">UIImage *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#ad664922b59f7b2a939be31ce607f4fe7">icon</a></td></tr>
<tr class="separator:ad664922b59f7b2a939be31ce607f4fe7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cc867d5c43e8b02e83952874eb876ac"><td class="memItemLeft" align="right" valign="top">UIBezierPath *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#a6cc867d5c43e8b02e83952874eb876ac">tintPath</a></td></tr>
<tr class="separator:a6cc867d5c43e8b02e83952874eb876ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13cf0f9966e057eb17690d94a68f6c28"><td class="memItemLeft" align="right" valign="top">CAShapeLayer *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#a13cf0f9966e057eb17690d94a68f6c28">tintLayer</a></td></tr>
<tr class="separator:a13cf0f9966e057eb17690d94a68f6c28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af56e454003dbe8bdbc2527327a3d2934"><td class="memItemLeft" align="right" valign="top">UIBezierPath *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#af56e454003dbe8bdbc2527327a3d2934">valuePath</a></td></tr>
<tr class="separator:af56e454003dbe8bdbc2527327a3d2934"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d288a12a3e0d040d3106b2cb6b4abc7"><td class="memItemLeft" align="right" valign="top">CAShapeLayer *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#a1d288a12a3e0d040d3106b2cb6b4abc7">maskLayer</a></td></tr>
<tr class="separator:a1d288a12a3e0d040d3106b2cb6b4abc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2abf4d0e679a207e1f90814b08e67b8b"><td class="memItemLeft" align="right" valign="top">CAGradientLayer *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#a2abf4d0e679a207e1f90814b08e67b8b">grLayer</a></td></tr>
<tr class="separator:a2abf4d0e679a207e1f90814b08e67b8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a044edaa8ed8c760f1d57fbd0a2c2a743"><td class="memItemLeft" align="right" valign="top">UIImageView *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#a044edaa8ed8c760f1d57fbd0a2c2a743">imgView</a></td></tr>
<tr class="separator:a044edaa8ed8c760f1d57fbd0a2c2a743"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea19fb254a878b991d354c0cd49c85ab"><td class="memItemLeft" align="right" valign="top">UIBezierPath *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#aea19fb254a878b991d354c0cd49c85ab">bgPath</a></td></tr>
<tr class="separator:aea19fb254a878b991d354c0cd49c85ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fd9f7364f6361464b272b6fc9f80957"><td class="memItemLeft" align="right" valign="top">UIBezierPath *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#a2fd9f7364f6361464b272b6fc9f80957">linePath</a></td></tr>
<tr class="separator:a2fd9f7364f6361464b272b6fc9f80957"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76ed7385705ccdc9a05edcd96d5e620e"><td class="memItemLeft" align="right" valign="top">CAShapeLayer *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#a76ed7385705ccdc9a05edcd96d5e620e">lineLayer</a></td></tr>
<tr class="separator:a76ed7385705ccdc9a05edcd96d5e620e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9772016be2cc81e8d7cb1d471ce2823"><td class="memItemLeft" align="right" valign="top"><a class="el" href="interface_x_h_x_cake_item_view.html">XHXCakeItemView</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_x_h_x_cake.html#ad9772016be2cc81e8d7cb1d471ce2823">itemView</a></td></tr>
<tr class="separator:ad9772016be2cc81e8d7cb1d471ce2823"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00012">12</a> 行定义.</p>
</div><h2 class="groupheader">属性说明</h2>
<a id="aea19fb254a878b991d354c0cd49c85ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aea19fb254a878b991d354c0cd49c85ab">&#9670;&nbsp;</a></span>bgPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIBezierPath*) bgPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00040">40</a> 行定义.</p>

</div>
</div>
<a id="add9317236f0d2203308343d8071c6462"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add9317236f0d2203308343d8071c6462">&#9670;&nbsp;</a></span>endColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIColor*) endColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00024">24</a> 行定义.</p>

</div>
</div>
<a id="a2abf4d0e679a207e1f90814b08e67b8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2abf4d0e679a207e1f90814b08e67b8b">&#9670;&nbsp;</a></span>grLayer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CAGradientLayer*) grLayer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00035">35</a> 行定义.</p>

</div>
</div>
<a id="ad664922b59f7b2a939be31ce607f4fe7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad664922b59f7b2a939be31ce607f4fe7">&#9670;&nbsp;</a></span>icon</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIImage*) icon</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00026">26</a> 行定义.</p>

</div>
</div>
<a id="a044edaa8ed8c760f1d57fbd0a2c2a743"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a044edaa8ed8c760f1d57fbd0a2c2a743">&#9670;&nbsp;</a></span>imgView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIImageView*) imgView</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00038">38</a> 行定义.</p>

</div>
</div>
<a id="ad9772016be2cc81e8d7cb1d471ce2823"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9772016be2cc81e8d7cb1d471ce2823">&#9670;&nbsp;</a></span>itemView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (<a class="el" href="interface_x_h_x_cake_item_view.html">XHXCakeItemView</a>*) itemView</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00045">45</a> 行定义.</p>

</div>
</div>
<a id="a76ed7385705ccdc9a05edcd96d5e620e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76ed7385705ccdc9a05edcd96d5e620e">&#9670;&nbsp;</a></span>lineLayer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CAShapeLayer*) lineLayer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00043">43</a> 行定义.</p>

</div>
</div>
<a id="a2fd9f7364f6361464b272b6fc9f80957"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fd9f7364f6361464b272b6fc9f80957">&#9670;&nbsp;</a></span>linePath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIBezierPath*) linePath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00042">42</a> 行定义.</p>

</div>
</div>
<a id="a1d288a12a3e0d040d3106b2cb6b4abc7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d288a12a3e0d040d3106b2cb6b4abc7">&#9670;&nbsp;</a></span>maskLayer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CAShapeLayer*) maskLayer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00034">34</a> 行定义.</p>

</div>
</div>
<a id="a1939721fae44bd2341293649ed403c80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1939721fae44bd2341293649ed403c80">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSString*) name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">copy</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00016">16</a> 行定义.</p>

</div>
</div>
<a id="ad2f75de3764eff1785423eebc9b9b8ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2f75de3764eff1785423eebc9b9b8ec">&#9670;&nbsp;</a></span>progress</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) progress</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00015">15</a> 行定义.</p>

</div>
</div>
<a id="a69d819df27623ed9a12955d3af1fc37f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69d819df27623ed9a12955d3af1fc37f">&#9670;&nbsp;</a></span>startColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIColor*) startColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00023">23</a> 行定义.</p>

</div>
</div>
<a id="a22866ac7963ac47d1bab295e41e3a150"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a22866ac7963ac47d1bab295e41e3a150">&#9670;&nbsp;</a></span>tintColor</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIColor*) tintColor</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00020">20</a> 行定义.</p>

</div>
</div>
<a id="a13cf0f9966e057eb17690d94a68f6c28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13cf0f9966e057eb17690d94a68f6c28">&#9670;&nbsp;</a></span>tintLayer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CAShapeLayer*) tintLayer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00031">31</a> 行定义.</p>

</div>
</div>
<a id="a6cc867d5c43e8b02e83952874eb876ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cc867d5c43e8b02e83952874eb876ac">&#9670;&nbsp;</a></span>tintPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIBezierPath*) tintPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00030">30</a> 行定义.</p>

</div>
</div>
<a id="ab22b8507af70ef9364a7a09bf6c9604e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab22b8507af70ef9364a7a09bf6c9604e">&#9670;&nbsp;</a></span>tintWidth</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (CGFloat) tintWidth</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00021">21</a> 行定义.</p>

</div>
</div>
<a id="af600285384d7f1af64d80dfd0f0b87cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af600285384d7f1af64d80dfd0f0b87cc">&#9670;&nbsp;</a></span>value</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (NSInteger) value</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00014">14</a> 行定义.</p>

</div>
</div>
<a id="af56e454003dbe8bdbc2527327a3d2934"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af56e454003dbe8bdbc2527327a3d2934">&#9670;&nbsp;</a></span>valuePath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (UIBezierPath*) valuePath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a> 第 <a class="el" href="_x_h_x_cake_8h_source.html#l00033">33</a> 行定义.</p>

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/XHXCakeView/<a class="el" href="_x_h_x_cake_8h_source.html">XHXCake.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_x_h_x_cake.html">XHXCake</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
